## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check

%global crate helvum

Name:           rust-%{crate}
Version:        0.3.1
Release:        %autorelease
Summary:        GTK patchbay for pipewire

# Upstream license specification: GPL-3.0-only
License:        GPLv3
URL:            https://crates.io/crates/helvum
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# Meson dependencies
BuildRequires:  meson
BuildRequires:  desktop-file-utils

%global _description %{expand:
GTK patchbay for pipewire.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_bindir}/helvum
%{_datadir}/applications/org.freedesktop.ryuukyu.Helvum.desktop
%{_datadir}/icons/hicolor/*/apps/org.freedesktop.ryuukyu.Helvum*.svg

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# We will build by cargo ourselves
sed -i -e '/\(build_by_default\|install\)/s/true/false/' src/meson.build
sed -i -e '/dependency/d' meson.build
sed -i -e '/Cargo.lock/d' meson.build
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%meson
%meson_build

%install
%cargo_install
%meson_install

%if %{with check}
%check
%cargo_test
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.freedesktop.ryuukyu.Helvum.desktop
%endif

%changelog
* Tue Feb 01 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 0.3.1-1
- Initial Fedora package
